org.apache.cassandra.db.compaction

## Class SSTableSplitter.SplitController

- java.lang.Object
- - org.apache.cassandra.db.compaction.CompactionController
  - - org.apache.cassandra.db.compaction.SSTableSplitter.SplitController

Enclosing class:
  SSTableSplitter

    public static class SSTableSplitter.SplitController
    extends CompactionController

### Field Summary

### Fields inherited from class org.apache.cassandra.db.compaction.CompactionController

`cfs, gcBefore`

### Constructor Summary

Constructors
Constructor and Description
`SSTableSplitter.SplitController(ColumnFamilyStore cfs, java.util.Collection<SSTableReader> toCompact)`

### Method Summary

Methods
`boolean` `shouldPurge(DecoratedKey key, long maxDeletionTimestamp)`

### Methods inherited from class org.apache.cassandra.db.compaction.CompactionController

`close, getColumnFamily, getCompactedRow, getCompactedRow, getFullyExpiredSSTables, getFullyExpiredSSTables, getKeyspace, invalidateCachedRow`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SSTableSplitter.SplitController

    public SSTableSplitter.SplitController(ColumnFamilyStore cfs,
                                   java.util.Collection<SSTableReader> toCompact)

### Method Detail

#### shouldPurge

    public boolean shouldPurge(DecoratedKey key,
                      long maxDeletionTimestamp)

Overrides:
  `shouldPurge` in class `CompactionController`
Returns:
  true if it's okay to drop tombstones for the given row, i.e., if we know all the verisons of the row older than @param maxDeletionTimestamp are included in the compaction set